%define prefix /usr
%define PACKAGE_NAME   chasen
%define CHASEN_VERSION 2.02
%define DIC_VERSION    2.1

Summary: Japanese Morphological Analysis System, ChaSen
Name: %{PACKAGE_NAME}
Version: %{CHASEN_VERSION}_%{DIC_VERSION}
Release: 1
Source: chasen-sys%{CHASEN_VERSION}-ipadic%{DIC_VERSION}.tar.gz
Copyright: 1999 Nara Institute of Science and Technology, Japan.
URL: http://cl.aist-nara.ac.jp/lab/nlt/chasen.html
BuildRoot: /var/tmp/%{PACKAGE_NAME}-%{PACKAGE_VERSION}-root
Group: Extensions/Japanese
Provides: chasen
Vendor: 䥴ȯôԽ
Distribution: 䥴ȯôԽ
Packager: Masayuki Asahara, Taku Kudoh <{masayu-a,taku-ku}@is.aist-nara.ac.jp>

%description
׻ˤܸβϤˤơƤθβϤ٤Ƥޤˤʤ
˼2ޤĤϷǲϤǤɥץåڤʤ
ˤäܸϤˤ礭꤬ʤʤޤ׻ˤܸ
ϤǤϡޤʸθġηǤǧɬפޤˤϼѤ
Ѥ礭ʼɬפǤꡤǡ뤫Ȥ
Ʊ¸ߤޤ⤦ĤȤơܸˤϹǧƱդ
ʸˡʤʸˡѸ줬ʤȤ¤Ǥعʸˡñʬपʸˡ
Ѹϰ̤ˤϹΤƤޤԤδ֤ǤϤޤɾȽ褯ޤ
󤷡׻ǤϤޤ

ܸβϤ˿ɬפʷǲϥƥϡ¿θ楰롼פˤ
ƴ˳ȯ쵻Ū꤬ФƤˤⷸ餺̤ΥġȤ
ήۤƤΤϤޤ󡥷׻ɤܸ켭ˤĤƤƱ
ͤǤ 

ܥƥϡ׻ˤܸβϤθܻؤ¿θԤ˶̤˻
ǲϥġ󶡤뤿˳ȯޤκݡܤ
ѼԤˤäʸˡñ֤³طʤɤưפѹ
Ǥ褦θޤ

ؤǾͿǳȯƥǤꡤԴʬȻפ
ǽʸ¤缡ɤŤͤͽǤͤδƤѤ򤪴ꤤޤ 


䥥ƥθϡĹ漼üʳصر
ܸ漼ˤƳȯ줿ܸǲϥƥJUMAN(version2.0)Ǥ
JUMANϡؤüʳصرؤΥåդ¿γ
ζϤƺΤǤޤ˴ؤƤϡWnnʴѴƥ
μ񡤤ӡICOT줿ܸ켭Ѥȼ˽äޤ
JUMAN 2.0Ȥ˳ȯؤιפ󡤸ߥΥ̳̯
͵ˤä˴դޤ

JUMANȯΤääƲäĹ˴դޤJUMAN
ȯ˴ؤ͡ʷǶϤƤü籧Ϥλ˴դޤ
üǰˤϡ䥥ƥγȯ˴ؤ¿ν򤤤
ޤ
ü߳ػκ콤ᡤ¼ͧˤ1.0γȯκݤ˼ν
Ϥ򤤤ޤξᤪ䥤γȯ˶Ϥܸ漼Υ
С˿դޤ
üμɽȤܸǥơ
ܥեȥγȯץ롼פˤϡIPAʻηϼ
ԤäƤޤäˡϤŻҵ縦
ƣᡤASTEMλƻ˴դޤ
ޤͰͤ̾󤲤뤳ȤϤǤޤ󤬡JUMANƥप
䥥ƥФ¿ΥȤȼ򤤤ѼԤ˴դޤ


ܥƥ˴ؤ뤪䤤碌ϰʲˤꤤޤ

630-0101
ɸԹ⻳Į8916-5
üʳصر
ʳظ ܸ漼
䥴ȯôԽ
Tel: (0743)72-5240, Fax: (0743)72-5249
E-mail: chasen@cl.aist-nara.ac.jp

%package devel
Summary: Libraries and header files for ChaSen developers
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%package perl
Summary: ChaSen Perl Module
Group: Extensions/Japanese
Requires: perl >= 5.005
Requires: %name = %{PACKAGE_VERSION}

%description devel
Libraries and header files for ChaSen developers.
䥤Υ饤֥ȥإåեǤ.

%description perl
ChaSen Perl Module.
Υ⥸塼ϡüʳصؤǲϥեȥ
䥡פperl鰷ΤΤǤ.

%prep
%setup -n %{PACKAGE_NAME}-%{CHASEN_VERSION}

%build
sed -e 's#BINDIR = /usr/local#BINDIR = $(PREFIX)#' \
    -e 's#LIBDIR = /usr/local/lib#LIBDIR = $(PREFIX)/share#' < Makefile > Makefile.new
mv -f Makefile Makefile.old; mv -f Makefile.new Makefile
sed -e "s#'-lchasen'#'-lchasen','-L../lib'#" < perl/Makefile.PL > perl/Makefile.PL.new
mv -f perl/Makefile.PL perl/Makefile.old; mv -f perl/Makefile.PL.new perl/Makefile.PL
make all PREFIX=%{prefix} CFLAGS="$RPM_OPT_FLAGS"
make dic PREFIX=%{prefix} CFLAGS="$RPM_OPT_FLAGS"
cd perl
perl Makefile.PL
make LCFLAGS="$RPM_OPT_FLAGS" LDDLFLAGS="-shared -L../" LDFLAGS="-L../"
cd ..
strip chasen/chasen
strip mkchadic/convdic
strip mkchadic/makeint
strip mkchadic/makemat
strip mkchadic/mkary
strip mkchadic/pattool
strip mkchadic/sortdic

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/perl5
make install PREFIX=$RPM_BUILD_ROOT%{prefix}
install -c -m 644 lib/libchasen.a $RPM_BUILD_ROOT%{prefix}/lib
install -c -m 644 lib/chadic.h    $RPM_BUILD_ROOT%{prefix}/include
install -c -m 644 lib/chalib.h    $RPM_BUILD_ROOT%{prefix}/include
cd perl
make PREFIX=$RPM_BUILD_ROOT%{prefix} install
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc CHANGES README README.ja dic/chasenrc doc/ prolog/
%{prefix}/bin/chasen
%{prefix}/share/chasen/mkchadic/convdic
%{prefix}/share/chasen/mkchadic/makeint
%{prefix}/share/chasen/mkchadic/makemat
%{prefix}/share/chasen/mkchadic/mkary
%{prefix}/share/chasen/mkchadic/pattool
%{prefix}/share/chasen/mkchadic/sortdic
%{prefix}/share/chasen/dic/Makefile
%{prefix}/share/chasen/dic/chasenrc
%{prefix}/share/chasen/dic/*.cha
%{prefix}/share/chasen/dic/*.int
%{prefix}/share/chasen/dic/*.pat

%files devel
%defattr(-,root,root,-)
%{prefix}/include/chadic.h
%{prefix}/include/chalib.h
%{prefix}/lib/libchasen.a

%files perl
%defattr(-,root,root,-)
%doc perl/README
%{prefix}/lib/perl5/*